Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Зацикливание апдейта dbus и hal
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
sa10
Apprentice
Apprentice


Joined: 20 Jan 2005
Posts: 251
Location: Minsk

PostPosted: Fri Oct 21, 2005 8:44 am    Post subject: Зацикливание апдейта dbus и hal Reply with quote

Хотел задать вопрос, но сам разобрался, а часть вопроса уже набрал. Не пропадать же добру :)
Может пригодится кому...

После установки gnome 2.12 при очередном emerge -uD world я получил зацикливание dbus и hal
Code:
emerge -uDpv world [b]Фрагмент...[/b]

[ebuild     UD] sys-apps/dbus-0.23.4-r1 [0.50] +X -debug +gtk (-mono) +python +qt +xml2 0 kB
[ebuild     UD] sys-apps/hal-0.4.8 [0.5.4] -debug -doc -livecd -pcmcia 0 kB


При всем этом
Code:
 emerge dbus hal -pv

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] sys-apps/dbus-0.50  +X -debug +gtk (-mono) +python +qt +xml2 0 kB [2]
[ebuild   R   ] sys-apps/hal-0.5.4  -debug -doc -livecd -pcmcia 0 kB [2]



Смотрим чего я там понаставил
Code:

etcat -v dbus
[ Results for search key           : dbus ]
[ Candidate applications found : 10 ]

 Only printing found installed programs.

*  sys-apps/dbus :
        [   ] 0.23-r3 (0)
        [ ~ ] 0.23.2 (0)
        [ ~ ] 0.23.2-r1 (0)
        [ ~ ] 0.23.4 (0)
        [ ~ ] 0.23.4-r1 (0)
        [ ~ ] 0.32 (0) OVERLAY
        [ ~ ] 0.34 (0) OVERLAY        [ ~ ] 0.35.2 (0) OVERLAY
        [ ~ ] 0.36.2 (0)
        [  I] 0.50 (0) OVERLAY

еще подробностей...
Code:

grep dbus /etc/portage/*
/etc/portage/package.keywords:sys-apps/dbus ~amd64
/etc/portage/package.unmask:>=sys-apps/dbus-0.5.0

Смотрим дерево ....

Code:
emerge -uDpv --tree world
[nomerge      ]   kde-base/kdebase-3.4.1-r1  +arts* +cups -debug +hal -ieee1394 -java -kdeenablefinal +ldap +lm_sensors +logitech-mouse +opengl +pam +samba +ssl +xinerama
[ebuild     UD]    sys-apps/hal-0.4.8 [0.5.4] -debug -doc -livecd -pcmcia 0 kB
[ebuild     UD]     sys-apps/dbus-0.23.4-r1 [0.50] +X -debug +gtk (-mono) +python +qt +xml2 0 kB

Судя по этому фрагменту мне потребуется ставить kdebase с кейвордс ~amd64 или править ebuild, я думаю лучше будет сделать что нибудь типа:
Code:
echo "kde-base/kdebase ~amd64" >> /etc/portage/package.keywords


Last edited by sa10 on Fri Oct 21, 2005 9:35 am; edited 1 time in total
Back to top
View user's profile Send private message
sa10
Apprentice
Apprentice


Joined: 20 Jan 2005
Posts: 251
Location: Minsk

PostPosted: Fri Oct 21, 2005 9:10 am    Post subject: Reply with quote

Увы, не помогло, или я не понимаю чего...
Может будут идеи как вычислить, что заставляет понижать версию hal и dbus?
Code:

emerge -uDp --tree world

These are the packages that I would merge, in reverse order:

Calculating world dependencies ...done!
[ebuild     U ] net-analyzer/nessus-2.2.5 [2.2.4]
[ebuild     U ]  net-analyzer/nessus-plugins-2.2.5 [2.2.4]
[ebuild     U ]   net-analyzer/nessus-core-2.2.5 [2.2.4-r1]
[ebuild     U ]    net-analyzer/libnasl-2.2.5 [2.2.4]
[ebuild     U ]  net-analyzer/nessus-libraries-2.2.5 [2.2.4]
[ebuild     U ] app-portage/gentoolkit-0.2.0-r2 [0.2.0]
[nomerge      ] media-gfx/inkscape-0.42.2
[nomerge      ]  media-gfx/skencil-0.6.16
[nomerge      ]   dev-python/imaging-1.1.4-r1
[ebuild     U ]    media-gfx/xv-3.10a-r12 [3.10a-r11]
[ebuild     U ]  app-text/gtkspell-2.0.11 [2.0.4-r1]
[ebuild     U ]  app-office/dia-0.94-r3 [0.94-r2]
[ebuild     U ] app-emulation/emul-linux-x86-sdl-2.2 [2.1]
[ebuild     U ] app-editors/nvu-1.0-r1 [1.0]
[ebuild     U ] www-client/mozilla-firefox-bin-1.0.7 [1.0.6-r2]
[nomerge      ] net-mail/metamail-2.7.45.3
[ebuild     U ]  app-misc/mime-types-4 [2]
[ebuild     U ] mail-client/mozilla-thunderbird-bin-1.0.7 [1.0.6-r3]
[nomerge      ] x11-themes/redhat-artwork-0.122.1-r1
[ebuild     U ]  kde-base/kdebase-3.4.3-r1 [3.4.1-r1]
[ebuild     U ]   kde-base/kdelibs-3.4.3 [3.4.1-r1]
[ebuild    FU ] app-emulation/cedega-4.4.3 [4.4.1]
[nomerge      ] gnome-base/gnome-2.12.0
[ebuild     U ]  x11-themes/gnome-backgrounds-2.12.1 [2.12.0]
[ebuild     U ]  gnome-base/control-center-2.12.1 [2.12.0]
[ebuild     U ]  gnome-base/gnome-volume-manager-1.5.3 [1.5.1]
[ebuild     U ]  net-analyzer/gnome-nettool-1.4.1 [1.4.0]
[ebuild     U ]  mail-client/evolution-2.4.1 [2.4.0]
[ebuild     U ]  media-video/totem-1.2.0-r1 [1.2.0]
[ebuild     U ]  x11-wm/metacity-2.12.1 [2.12.0]
[ebuild     U ]  media-gfx/eog-2.12.1 [2.12.0]
[ebuild     U ]  gnome-extra/yelp-2.12.1 [2.12.0]
[nomerge      ]  app-text/evince-0.4.0-r2
[ebuild     U ]   app-text/poppler-0.4.2 [0.4.1]
[ebuild     U ]  gnome-extra/bug-buddy-2.12.1 [2.12.0]
[ebuild     U ]  app-editors/gedit-2.12.1 [2.12.0]
[ebuild     U ]   x11-libs/gtksourceview-1.4.2 [1.4.1]
[ebuild     U ]  gnome-base/gnome-applets-2.12.1-r2 [2.12.0]
[ebuild     U ]  gnome-extra/gnome-games-2.12.1 [2.12.0]
[ebuild     U ]  gnome-extra/gnome-utils-2.12.1 [2.12.0]
[ebuild     U ]   gnome-base/gnome-panel-2.12.1 [2.12.0]
[ebuild     U ]  gnome-extra/zenity-2.12.1 [2.12.0]
[ebuild     U ]  gnome-extra/evolution-webcal-2.4.1 [2.4.0.1]
[ebuild     U ]   gnome-extra/evolution-data-server-1.4.1 [1.4.0]
[ebuild     U ]    www-client/mozilla-1.7.12-r2 [1.7.11-r3]
[ebuild     U ]  media-sound/sound-juicer-2.12.2-r1 [2.12.0]
[ebuild     U ]   gnome-extra/nautilus-cd-burner-2.12.1 [2.12.0]
[ebuild     U ]  gnome-extra/gnome-system-monitor-2.12.1 [2.12.0]
[ebuild     U ]   x11-libs/libwnck-2.12.1 [2.12.0]
[ebuild     U ]  app-arch/file-roller-2.12.1 [2.12.0]
[ebuild     U ]   gnome-base/nautilus-2.12.1 [2.12.0]
[ebuild     U ]    gnome-base/eel-2.12.1 [2.12.0]
[ebuild     U ]     dev-util/desktop-file-utils-0.10 [0.9]
[ebuild     U ]  www-client/epiphany-1.8.2 [1.8.0]
[ebuild     U ]   app-text/gnome-doc-utils-0.4.3 [0.4.2]
[ebuild     U ] app-office/openoffice-bin-2.0.0 [2.0.0_rc3]
[nomerge      ] media-plugins/gst-plugins-alsa-0.8.11
[ebuild     U ]   media-libs/gst-plugins-0.8.11 [0.8.10]
[nomerge      ]  kde-base/kdeartwork-3.4.1
[nomerge      ]   kde-base/kdebase-3.4.1-r1
[ebuild     UD]    sys-apps/hal-0.4.8 [0.5.4]
[ebuild     UD]     sys-apps/dbus-0.23.4-r1 [0.50]
[nomerge      ] x11-themes/gdm-themes-3.0
[nomerge      ]  gnome-base/gdm-2.8.0.5
[ebuild     U ]   gnome-base/librsvg-2.12.7 [2.12.6]
[nomerge      ] kde-base/kde-i18n-3.4.1
[ebuild     U ]  kde-base/kdelibs-3.4.1-r2 [3.4.1-r1]
[nomerge      ] media-plugins/xmms-arts-0.7.1-r1
[nomerge      ]   media-libs/libsdl-1.2.8-r1
[ebuild     U ]    kde-base/arts-3.4.3 [3.4.1-r2]
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Fri Oct 21, 2005 11:00 am    Post subject: Reply with quote

Попробуй замаскировать все версии, ниже 0.50 и 0.5.4 соответственно. Должна появиться ругань...
Back to top
View user's profile Send private message
sa10
Apprentice
Apprentice


Joined: 20 Jan 2005
Posts: 251
Location: Minsk

PostPosted: Fri Oct 21, 2005 11:24 am    Post subject: Reply with quote

viy wrote:
Попробуй замаскировать все версии, ниже 0.50 и 0.5.4 соответственно. Должна появиться ругань...

Хороший совет, я уже попробовал, там ругань про всякие kde, но пока решил убрать из USE hal и dbus.
Не уверен, что они так уж мне нужны
submount собрать невопрос, хотя это и не так понтово
Back to top
View user's profile Send private message
suslik
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jul 2005
Posts: 133

PostPosted: Sun Oct 23, 2005 11:16 am    Post subject: Reply with quote

а dbus какой-то калечный - вылетает на чем-то - не стал разбиратся - дописал ему флаги -kde -gtk и все, зачем он вообще - не разбирался но при апдейте просится и ладно, при чем его как-то зациклило при очередном world он меняет свою версию на 026 потом обратно на 030-какую-то и так поочереди
Back to top
View user's profile Send private message
fank
l33t
l33t


Joined: 16 Oct 2004
Posts: 794
Location: Minsk, Belarus

PostPosted: Mon Oct 24, 2005 10:11 am    Post subject: Reply with quote

у меня те же траблы, и ещё dbus не собирается с флагом qt, не может найти файлик какой-то
просто было нужно для какой-то проги
Back to top
View user's profile Send private message
YD
Guru
Guru


Joined: 30 Oct 2004
Posts: 466
Location: Riga, Latvia

PostPosted: Tue Oct 25, 2005 10:21 am    Post subject: Reply with quote

была эта трабла. когда на KDE-3.4 переходили dbus/hald был замаскирован ~x86. Сейчас закоментируйти их в /etc/portage/package.keywords и тогда будет stable версия.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum